Package org.apache.lucene.search.uhighlight

# Class MemoryIndexOffsetStrategy

java.lang.Object
org.apache.lucene.search.uhighlight.FieldOffsetStrategy
org.apache.lucene.search.uhighlight.AnalysisOffsetStrategy
org.apache.lucene.search.uhighlight.MemoryIndexOffsetStrategy

public class MemoryIndexOffsetStrategy extends AnalysisOffsetStrategy
Uses an `Analyzer` on content to get offsets and then populates a `MemoryIndex`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.search.uhighlight.AnalysisOffsetStrategy

  `analyzer`

  ### Fields inherited from class org.apache.lucene.search.uhighlight.FieldOffsetStrategy

  `components`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemoryIndexOffsetStrategy(UHComponents components, Analyzer analyzer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OffsetsEnum`
  `getOffsetsEnum(LeafReader reader, int docId, String content)`
  The primary method -- return offsets for highlightable words in the specified document.

  ### Methods inherited from class org.apache.lucene.search.uhighlight.AnalysisOffsetStrategy

  `getOffsetSource, tokenStream`

  ### Methods inherited from class org.apache.lucene.search.uhighlight.FieldOffsetStrategy

  `createOffsetsEnumFromReader, createOffsetsEnumsForAutomata, createOffsetsEnumsForTerms, createOffsetsEnumsWeightMatcher, getField`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MemoryIndexOffsetStrategy

    public MemoryIndexOffsetStrategy(UHComponents components, Analyzer analyzer)

- ## Method Details

  - ### getOffsetsEnum

    public OffsetsEnum getOffsetsEnum(LeafReader reader, int docId, String content) throws IOException
    Description copied from class: `FieldOffsetStrategy`
    The primary method -- return offsets for highlightable words in the specified document.

    Callers are expected to close the returned OffsetsEnum when it has been finished with

    Specified by:
      `getOffsetsEnum` in class `FieldOffsetStrategy`
    Throws:
      `IOException`